package com.atlassian.jira.plugin.ext.bazaar.action;

import java.util.Collection;

import com.atlassian.jira.plugin.ext.bazaar.BazaarManager;
import com.atlassian.jira.plugin.ext.bazaar.MultipleBazaarRepositoryManager;

/**
 * Manage 1 or more repositories
 */
public class ViewBazaarRepositoriesAction extends BazaarActionSupport {

	private static final long serialVersionUID = -8133508908024764920L;

	public ViewBazaarRepositoriesAction(MultipleBazaarRepositoryManager manager) {
		super(manager);
	}

	public Collection<BazaarManager> getRepositories() {
		return getMultipleRepoManager().getRepositoryList();
	}
}
