package com.atlassian.jira.plugin.ext.bazaar.linkrenderer;

import java.util.Date;

import junit.framework.TestCase;

import org.vcs.bazaar.client.commandline.CommandLineLogMessage;

public class TestNullLinkRenderer extends TestCase {

    protected NullLinkRenderer getNullLinkerRenderer() {
        return new NullLinkRenderer();
    }

    public void testGetRevisionLink() {
        /* NullLinkRenderer always returns the String representation of the revision */
        assertEquals("1", getNullLinkerRenderer().getRevisionLink(
                new CommandLineLogMessage("1", "dchui", "branch_nick", new Date().toString(), "foo", null, null, null, null)));
    }
//
//    public void testGetChangePathLink() {
//        /* NullLinkRenderer always returns the String representation of the revision */
//        assertEquals("/foo/bar", getNullLinkerRenderer().getChangePathLink(
//                new SVNLogEntry(null, 1, "dchui", new Date(), "foo"),
//                new SVNLogEntryPath("/foo/bar", BazaarConstants.MODIFICATION, "/foo", -1)));
//    }
//
//    public void testGetCopySrcLink() {
//        /* NullLinkRenderer always returns the String representation of the revision */
//        assertEquals("/foo #-1", getNullLinkerRenderer().getCopySrcLink(
//                new SVNLogEntry(null, 1, "dchui", new Date(), "foo"),
//                new SVNLogEntryPath("/foo/bar", BazaarConstants.MODIFICATION, "/foo", -1)));
//    }
}
